Bug 208051 - Review Request: dirvish - Fast, disk based, rotating network backup system
Review Request: dirvish - Fast, disk based, rotating network backup system
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-09-25 23:27 EDT by Robert Marcano
Modified: 2009-04-06 23:13 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-05 21:44:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Robert Marcano 2006-09-25 23:27:12 EDT
Spec URL: http://www.marcanoonline.com/downloads/fedora/package_submissions/dirvish/dirvish.spec
SRPM URL: http://www.marcanoonline.com/downloads/fedora/package_submissions/dirvish/dirvish-1.2.1-1.src.rpm
Description:
Dirvish is a fast, disk based, rotating network backup system. With dirvish you
can maintain a set of complete images of your filesystems with unattended
creation and expiration. A dirvish backup vault is like a time machine for your
data.
Comment 1 Jason Tibbitts 2006-10-05 12:07:08 EDT
First off, the spec says GPL but the license in certainly not the GPL:
    Licensed under the Open Software License version 2.0
And as a bonus, v2.0 of that license shouldn't be used.  But I think it's still
open source; it was version 1.1 that had problems.

Also, the actual license needs to be included in the package, since it's present
in the tarball.

* source files match upstream:
   892ec9333b19e623880cdb499443c11b  dirvish-1.2.1.tgz
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
X license field matches the actual license.
* license is open source-compatible.
X License text included upstream but is not in the final package.
* latest version is being packaged.
* BuildRequires are proper (BR: perl is not necessary)
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* rpmlint is silent.
* final provides and requires are sane:
   dirvish = 1.2.1-1.fc6
  =
   /usr/bin/perl
   perl(File::Find)
   perl(Getopt::Long)
   perl(POSIX)
   perl(Time::ParseDate)
   perl(Time::Period)
* %check is not present; no test suite upstream.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* not a GUI app.
Comment 2 Robert Marcano 2006-10-05 13:28:31 EDT
ooooops big mistake.. fixed

http://www.marcanoonline.com/downloads/fedora/package_submissions/dirvish/dirvish-1.2.1-2.src.rpm
http://www.marcanoonline.com/downloads/fedora/package_submissions/dirvish/dirvish.spec

the OSL 2.0 is not recommended any more (it was superceded by version 2.1 and
3.0 but it was approved by the OSI (see http://opensource.org/licenses/osl-2.0.php)
Comment 3 Jason Tibbitts 2006-10-05 19:14:58 EDT
Builds fine and looks good.  The only issue is that rpmlint is now complaining:
  W: dirvish invalid-license OSL
The license tag accurately describes the license, so this should be OK.

APPROVED
Comment 4 Robert Marcano 2006-10-05 21:44:57 EDT
thanks...
Comment 5 Robert Marcano 2009-04-06 09:10:58 EDT
Package Change Request
======================
Package Name: dirvish
New Branches: EL-5
Owners: robmv
Comment 6 Kevin Fenzi 2009-04-06 23:13:29 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.